package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 充电桩枪口信息对象 pile_connector_info
 *
 * @author jsowell
 * @date 2022-08-31
 */
public class PileConnectorInfo extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private Integer id;

	/**
	 * 名称
	 */
	@Excel(name = "名称")
	private String name;

	/**
	 * 充电枪编号，由充电桩SN+01生成
	 */
	@Excel(name = "充电枪编号，由充电桩SN+01生成")
	private String pileConnectorCode;

	/**
	 * 状态
	 * 0：离网
	 * 1：空闲
	 * 2：占用（未充电）
	 * 3：占用（充电中）
	 * 4：占用（预约锁定）
	 * 255：故障
	 */
	@Excel(name = "状态")
	private String status;

	/**
	 * 所属充电桩id
	 */
	@Excel(name = "所属充电桩id")
	private String pileSn;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public String getPileConnectorCode() {
		return pileConnectorCode;
	}

	public void setPileConnectorCode(String pileConnectorCode) {
		this.pileConnectorCode = pileConnectorCode;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}

	public void setPileSn(String pileSn) {
		this.pileSn = pileSn;
	}

	public String getPileSn() {
		return pileSn;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", getId())
				.append("name", getName())
				.append("pileConnectorCode", getPileConnectorCode())
				.append("status", getStatus())
				.append("pileId", getPileSn())
				.append("createBy", getCreateBy())
				.append("createTime", getCreateTime())
				.append("updateBy", getUpdateBy())
				.append("updateTime", getUpdateTime())
				.append("delFlag", getDelFlag())
				.toString();
	}

}
